Update an existing work order
curl --request PUT \
--url https://api.ctrl-hub.com/v3/work-orders/{work_order_id} \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders",
"attributes": {
"name": "Updated Infrastructure Work Order",
"code": "WO002",
"description": "Updated installation work description",
"dates": {
"anticipated": {
"start": "2024-01-20T09:00:00Z",
"end": "2024-01-25T17:00:00Z"
}
},
"labels": [
{
"key": "Your label key",
"value": "Your label value"
}
]
},
"relationships": {
"scheme": {},
"template": {}
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/work-orders/{work_order_id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders",
"attributes": {
"name": "Updated Infrastructure Work Order",
"code": "WO002",
"description": "Updated installation work description",
"dates": { "anticipated": {
"start": "2024-01-20T09:00:00Z",
"end": "2024-01-25T17:00:00Z"
} },
"labels": [
{
"key": "Your label key",
"value": "Your label value"
}
]
},
"relationships": {
"scheme": {},
"template": {}
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'work-orders',
attributes: {
name: 'Updated Infrastructure Work Order',
code: 'WO002',
description: 'Updated installation work description',
dates: {anticipated: {start: '2024-01-20T09:00:00Z', end: '2024-01-25T17:00:00Z'}},
labels: [{key: 'Your label key', value: 'Your label value'}]
},
relationships: {scheme: {}, template: {}}
}
})
};
fetch('https://api.ctrl-hub.com/v3/work-orders/{work_order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "fb082ee5-b678-4451-b02b-8269aaf262a3",
"type": "work-orders",
"attributes": {
"name": "Infrastructure Maintenance Work Order",
"status": "in_planning",
"code": "WO-2025-001",
"description": "Routine maintenance and inspection of electrical infrastructure",
"dates": {
"anticipated": {
"start": "2025-08-01T09:00:00Z",
"end": "2025-08-15T17:00:00Z"
}
},
"labels": [
{
"key": "Your label key",
"value": "Your label value"
}
]
},
"meta": {
"created_at": "2025-05-06T18:37:12Z",
"updated_at": "2025-05-07T21:12:46Z",
"modified_at": "2025-05-07T21:12:46Z",
"dates": {
"scheduled": {
"start": "2025-08-01T09:00:00Z",
"end": "2025-08-15T17:00:00Z"
}
},
"counts": {
"operations": 1,
"streets": 1,
"properties": 1,
"locations": 1
},
"completeness": {
"percentage": {
"completed": 25,
"aborted": 0,
"unknown": 75,
"cancelled": 0
},
"counts": {
"completed": 1,
"aborted": 0,
"unknown": 3,
"cancelled": 0
},
"statuses": {
"counts": {
"done": 3,
"in_progress": 1,
"todo": 1
},
"percentages": {
"done": 60,
"in_progress": 20,
"todo": 20
}
},
"done_reasons": {
"counts": {
"aborted": 1,
"cancelled": 2,
"completed": 2
},
"percentages": {
"aborted": 20,
"cancelled": 40,
"completed": 40
}
}
}
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes"
}
},
"operations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "operations"
}
]
},
"assignees": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-order-templates"
}
},
"site_managers": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
},
"locations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "locations"
}
]
}
}
},
"jsonapi": {
"version": "1.0"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Work Orders
Update a work order
Update an existing work order
PUT
/
v3
/
work-orders
/
{work_order_id}
Update an existing work order
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the work order.
Body
application/vnd.api+json
The work order to update.
Show child attributes
Show child attributes